%{?nodejs_find_provides_and_requires}

%global packagename cheerio

# Tests disable because they pull in the entire babel chain, which is
# a dependency nightmare to package
%global enable_tests 1

Name:		nodejs-cheerio
Version:	0.20.0
Release:	4%{?dist}
Summary:	Tiny, fast implementation of core jQuery for the server

License:	MIT
URL:		https://github.com/cheeriojs/cheerio.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	scripts-%{version}.tar.bz2
Source10:	dl-tests.sh
Source11:	https://raw.githubusercontent.com/cheeriojs/cheerio/master/LICENSE


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(css-select)
BuildRequires:	npm(css-what)
BuildRequires:	npm(htmlparser2)
BuildRequires:	npm(lodash)
#BuildRequires:	npm(lodash.assignin)
BuildRequires:	npm(nth-check)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(expect.js)
BuildRequires:	npm(dom-serializer)
%endif

Requires:	nodejs

%description
Tiny, fast, and elegant implementation of core jQuery designed specifically
for the server


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

# license
cp -p %{SOURCE11} .

%nodejs_fixdep lodash
%nodejs_fixdep htmlparser2


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 01 2017 Jared Smith <jsmith@fedoraproject.org> - 0.20.0-1
- Update to upstream 0.20.0 release

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 0.22.0-1
- Update to upstream 0.22.0 release

* Tue Aug 02 2016 Jared Smith <jsmith@fedoraproject.org> - 0.20.0-1
- Update to upstream 0.20.0 release

* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 0.19.0-1
- Initial packaging
